org.apache.lucene.search.grouping

## Class GroupFacetCollector.SegmentResult

- java.lang.Object
- - org.apache.lucene.search.grouping.GroupFacetCollector.SegmentResult

- Enclosing class:
    GroupFacetCollector

      protected abstract static class GroupFacetCollector.SegmentResult
      extends Object

  Contains the local grouped segment counts for a particular segment. Each `SegmentResult` must be added together.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int[]` | `counts`
    `protected int` | `maxTermPos`
    `protected int` | `mergePos`
    `protected BytesRef` | `mergeTerm`
    `protected int` | `missing`
    `protected int` | `total`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SegmentResult(int[] counts, int total, int missing, int maxTermPos)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `nextTerm()` Go to next term in this `SegmentResult` in order to retrieve the grouped facet counts.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### counts

          protected final int[] counts

    - #### total

          protected final int total

    - #### missing

          protected final int missing

    - #### maxTermPos

          protected final int maxTermPos

    - #### mergeTerm

          protected BytesRef mergeTerm

    - #### mergePos

          protected int mergePos

  - ### Constructor Detail

    - #### SegmentResult

          protected SegmentResult(int[] counts,
                                  int total,
                                  int missing,
                                  int maxTermPos)

  - ### Method Detail

    - #### nextTerm

          protected abstract void nextTerm()
                                    throws IOException

      Go to next term in this `SegmentResult` in order to retrieve the grouped facet counts.
      Throws:
        `IOException` - If I/O related errors occur

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.